Skip to main content
POST
/
accounts
/
{aid}
/
shopping
/
orders
/
{order_id}
/
sessions
Create a session
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/shopping/orders/{order_id}/sessions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "items": [
    {
      "line_id": "<string>"
    }
  ],
  "profile_id": "<string>",
  "url": {
    "return_url": "https://example.com/accept",
    "callback_url": "https://example.com/callback?method=GET",
    "merchant_terms_url": "https://example.com/terms.html"
  }
}
'
{
  "items": [
    {
      "line_id": "<string>",
      "amount": 27840
    }
  ],
  "id": "bd04c959-d159-49b4-a096-2d84e014a8da",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "bd04c959-d159-49b4-a096-2d84e014a8da",
  "amount": 27840,
  "processed_at": "2023-11-07T05:31:56Z",
  "metadata": {},
  "_links": [
    {
      "href": "<string>",
      "rel": "draft"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
order_id
string
required

The resource identifier string

Body

application/json

order session

items
object[]
required

Selected items from the order

profile_id
string
required

Configuration profile for the session to create

url
object
required
processed_at
string<date-time>

The date and time when the capture was processed by payment gateway

metadata
object

Additional details about the operation

express
object

Present only for Express Checkout sessions.

An Express Checkout session is a session where the end user will submit a shipping address and then select a shipping option before the before a payment method is selected and the payment is initiated.

Endpoints used in the Express Checkout flow.

  1. Set shipping address
  2. Set shipping option
merchant_reference
string
shipping_option
object

A shipping option

Response

session

items
object[]
required

Selected items from the order

id
string

The resource ID. Defaults to UUID v4

Maximum string length: 40
Example:

"bd04c959-d159-49b4-a096-2d84e014a8da"

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string

The ID of the user/client created the resource

Maximum string length: 40
Example:

"bd04c959-d159-49b4-a096-2d84e014a8da"

amount
integer
read-only

Monetary amount in smallest unit for the currency success: description: | The result from the operation. type: boolean

Example:

27840

processed_at
string<date-time>

The date and time when the capture was processed by payment gateway

metadata
object

Additional details about the operation

The links related to resource